md repo
@echo ******
@echo Create the repo and select to create the default folder structure
@echo ******
tortoiseproc /command:repocreate /path:repo
pause
tortoiseproc /command:checkout /path:trunk /url:file:///%CD%\repo/trunk /blockpathadjustments
pause
@echo File 1>trunk\f1.txt
@echo This is a test>>trunk\f1.txt
@echo End of file>>trunk\f1.txt
svn add trunk\f1.txt
tortoiseproc /command:commit /path:trunk /logmsg:"Initial f1.txt"
pause
svn cp file:///%CD%\repo/trunk file:///%CD%\repo/branches/b1 -m "Created branch b1"
svn cp file:///%CD%\repo/trunk file:///%CD%\repo/branches/b2 -m "Created branch b2"
tortoiseproc /command:checkout /path:b1 /url:file:///%CD%\repo/branches/b1 /blockpathadjustments
pause
tortoiseproc /command:checkout /path:b2 /url:file:///%CD%\repo/branches/b2 /blockpathadjustments
pause
@echo File 1>b1\f1.txt
@echo This is a test>>b1\f1.txt
@echo Here is a new line in b1>>b1\f1.txt
@echo End of file>>b1\f1.txt
tortoiseproc /command:commit /path:b1 /logmsg:"A modification in b1"
pause
@echo File 1>b2\f1.txt
@echo This is a test>>b2\f1.txt
@echo End of file>>b2\f1.txt
@echo A line added after the end in b2>>b2\f1.txt
tortoiseproc /command:commit /path:b2 /logmsg:"A modification in b2"
pause
@echo File 1>b1\f1.txt
@echo This is a test>>b1\f1.txt
@echo Here is a new line in b1>>b1\f1.txt
@echo Here is another new line in b1, after modification of b2>>b1\f1.txt
@echo End of file>>b1\f1.txt
tortoiseproc /command:commit /path:b1 /logmsg:"A modification in b1, after b2"
pause
svn up b2
@echo ******
@echo In the following dialog the rev. range is setup correctly but you must enter
@echo Show Log dialog again. Otherwise the merges log messages are not inserted at all
@echo at commit time
@echo ******
pause
tortoiseproc /command:merge /path:b2 /fromurl:file:///%CD%\repo/branches/b1 /revrange:5-7
pause
@echo ******
@echo In the following dialog you should select the commit message from recent messages
@echo ******
pause
tortoiseproc /command:commit /path:b2
pause
@echo File 1>b2\f1.txt
@echo This is a test>>b2\f1.txt
@echo Here is a new line in b1>>b2\f1.txt
@echo A line inserted in b2, after merging b1 to b2>>b2\f1.txt
@echo Here is another new line in b1, after modification of b2>>b2\f1.txt
@echo End of file>>b2\f1.txt
@echo A line added after the end in b2>>b2\f1.txt
tortoiseproc /command:commit /path:b2 /logmsg:"Modification of b2 after merging b1 to b2"
pause
svn up b1
@echo ******
@echo In the following dialog the rev. range is setup correctly but you must enter
@echo Show Log dialog again. Otherwise the merges log messages are not inserted at all
@echo at commit time
@echo ******
pause
tortoiseproc /command:merge /path:b1 /fromurl:file:///%CD%\repo/branches/b2 /revrange:6
pause
@echo ******
@echo In the following dialog you should select the commit message from recent messages
@echo ******
pause
tortoiseproc /command:commit /path:b1
pause
@echo ******
@echo In the following dialog the rev. range is setup correctly but you must enter
@echo Show Log dialog again. Otherwise the merges log messages are not inserted at all
@echo at commit time
@echo ******
pause
tortoiseproc /command:merge /path:b1 /fromurl:file:///%CD%\repo/branches/b2 /revrange:9
pause
@echo ******
@echo In the following dialog you should select the commit message from recent messages
@echo ******
pause
tortoiseproc /command:commit /path:b1
pause
svn up trunk
@echo ******
@echo In the following dialog the rev. range is setup correctly but you must enter
@echo Show Log dialog again. Otherwise the merges log messages are not inserted at all
@echo at commit time
@echo ******
pause
tortoiseproc /command:merge /path:trunk /fromurl:file:///%CD%\repo/branches/b1 /revrange:5-7
pause
@echo ******
@echo In the following dialog you should select the commit message from recent messages
@echo and the bug should show up
@echo ******
pause
tortoiseproc /command:commit /path:trunk
